%define module	MIME-Lite
%define name	perl-%{module}
%define version	3.01
%define release	4mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{module} module for perl
License:	GPL or Artistic
Group:		Development/Perl
Source:		%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel >= 5.8.0
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-root

%description
In the never-ending quest for great taste with fewer calories, we
proudly present: MIME::Lite. 

MIME::Lite is intended as a simple, standalone module for generating
(not parsing!) MIME messages... specifically, it allows you to output a
simple, decent single- or multi-part message with text or binary
attachments. It does not require that you have the Mail:: or MIME::
modules installed. 

You can specify each message part as either the literal data itself (in
a scalar or array), or as a string which can be given to open() to get a
readable filehandle (e.g., "<filename" or "somecommand|"). 

You don't need to worry about encoding your message data: this module
will do that for you. It handles the 5 standard MIME encodings. 

If you need more sophisticated behavior, please get the MIME-tools
package instead. I will be more likely to add stuff to that toolkit over
this one.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/MIME/changes.pod

%files
%defattr(-,root,root)
%doc COPYING INSTALLING README
%{perl_vendorlib}/MIME
%{_mandir}/*/*

%changelog
* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.01-4mdk
- fixed dir ownership (distlint)

* Fri Aug 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.01-3mdk
- rebuild for new perl
- use %%makeinstall_std macro

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.01-2mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 Franois Pons <fpons@mandrakesoft.com> 3.01-1mdk
- 3.01.

* Fri Feb 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.117-1mdk
- first mdk release  
